<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
	<xsl:output method="xml" omit-xml-declaration="yes" />
	<xsl:param name="panelId" nk:class="java.lang.String"/>
	
	<xsl:template match="/panels">
		<div class="template-tabs">
			<div class="template-tabs-row">
				<xsl:apply-templates select="panel">
					<xsl:sort select="order" data-type="number"/>
				</xsl:apply-templates>
				
			</div>
			<div class="template-tab-contents">
				<div class="template-tab-header">
					<table cellpadding="0" cellspacing="0" >
						<tr>
							<td >
								<div class="template-tab-image">
								<img src="">
									<xrl:eval>
										<xrl:identifier>arg:icon</xrl:identifier>
										<xrl:xpath>../@src</xrl:xpath>
									</xrl:eval>
								</img>
								</div>
							</td>
							<td width="100%" style="vertical-align:middle">
								<div class="template-tab-title">
									<xrl:eval>
										<xrl:identifier>arg:tooltitle</xrl:identifier>
										<xrl:xpath>..</xrl:xpath>
									</xrl:eval>
								</div>
								<div class="template-tab-subtitle">
									<xrl:eval>
										<xrl:identifier>arg:subtitle</xrl:identifier>
										<xrl:xpath>..</xrl:xpath>
									</xrl:eval>
								</div>
							</td>
							<td style="vertical-align: bottom;">
								<div id="infobox-show" style="display: none;">
								<a href="javascript:infoboxOpen()" title="page help available"><img src="/nkse/style/img/info-box-small.png"/></a>
								</div>
							</td>
						</tr>					
					</table>
				</div>
				<div class="template-inner-contents">
				<xrl:include><xrl:identifier>arg:content</xrl:identifier></xrl:include>
				</div>
			</div>
		</div>
	</xsl:template>
	
	<xsl:template match="panel">
		<a href="/panel/{id}">
			<xsl:choose>
				<xsl:when test="id=$panelId">
					<xsl:attribute name="class">template-tab-selected template-tab</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class">template-tab</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="shorttitle"><xsl:value-of select="shorttitle"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="title"/></xsl:otherwise>
			</xsl:choose>
		</a>
	</xsl:template>
	
</xsl:stylesheet>